<?php

###################################################
#   Игры под dcms 6.6.4 и 6.7.7                   #
#   Автор: Nort, он же Lns                        #
#   icq: 484014288, сайт: http://inwap.org        #
#                                                 #
#   Вы не имеете права продавать, распростронять, #
#   давать друзьям даный скрипт.                  #
#                                                 #
#   Даная версия являет платной, и купить         #
#   можно только у автора.                        #
###################################################

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']= 'Арифметика';
include_once '../sys/inc/thead.php';

include_once 'inc.php';

title();
aut();
only_reg();

# ===================================================================

function loc($url) { header('Location:'.$url);
?>
<html><head><script type="text/javascript">window.location.href="<?=$url?>"</script></head><body>
<div class="link">
Извените, но скорее всего Ваш браузер не поддерживает перенаправление. Включите в настройках "Автоматическое перенаправление" или "javascript".<br/>
Пожалуйста, перейдите самостоятельно по <a href="<?=$url?>">ссылке</a><br/>
</div>
</body></html>  
<?  
}

     $RndPrimerType = rand(1, 9);

     $A1 = rand(0, 25);
     $A2 = rand(0, 15);
     $A3 = rand(0, 10);
     $A4 = rand(0, 5);
     $A5 = rand(0, 5); 
  
     $Primer1 = $A1.'+'.$A2.'*('.$A3.'-'.$A4.')-'.$A5; $Otvet1 = $A1+$A2*($A3-$A4)-$A5; $Balls1 = '10';
     $Primer2 = $A2.'-'.$A4.'*('.$A1.'+'.$A5.')-'.$A3; $Otvet2 = $A2-$A4*($A1+$A5)-$A3; $Balls2 = '10';
     $Primer3 = $A1.'-('.$A3.'*'.$A2.'+'.$A5.')+'.$A4; $Otvet3 = $A1-($A3*$A2+$A5)+$A4; $Balls3 = '20';
     $Primer4 = $A2.'+'.$A4.'+'.$A1.'*('.$A5.'-'.$A3.')'; $Otvet4 = $A2+$A4+$A1*($A5-$A3); $Balls4 = '10';
     $Primer5 = '('.$A4.'-'.$A1.')-('.$A5.'+'.$A2.')+'.$A3; $Otvet5 = ($A4-$A1)-($A5+$A2)+$A3; $Balls5 = '30';
     $Primer6 = $A2.'+'.$A4.'-('.$A1.'+'.$A5.')+'.$A3; $Otvet6 = $A2+$A4-($A1+$A5)+$A3; $Balls6 = '10';
     $Primer7 = $A3.'-'.$A1.'-('.$A5.'+'.$A2.'*'.$A4.')'; $Otvet7 = $A3-$A1-($A5+$A2*$A4); $Balls7 = '20';
     $Primer8 = $A1.'*'.$A2.'*('.$A3.'+'.$A4.')-'.$A4; $Otvet8 = $A1*$A2*($A3+$A4)-$A4; $Balls8 = '35';
     $Primer9 = $A4.'*('.$A3.'*'.$A5.')-'.$A1.'-'.$A2; $Otvet9 = $A4*($A3*$A5)-$A1-$A2; $Balls9 = '20';
  
     if ($RndPrimerType == 1) { $Primer = $Primer1; $Otvet = $Otvet1; $Balls = $Balls1; }
     if ($RndPrimerType == 2) { $Primer = $Primer2; $Otvet = $Otvet2; $Balls = $Balls2; }
     if ($RndPrimerType == 3) { $Primer = $Primer3; $Otvet = $Otvet3; $Balls = $Balls3; }
     if ($RndPrimerType == 4) { $Primer = $Primer4; $Otvet = $Otvet4; $Balls = $Balls4; }
     if ($RndPrimerType == 5) { $Primer = $Primer5; $Otvet = $Otvet5; $Balls = $Balls5; }
     if ($RndPrimerType == 6) { $Primer = $Primer6; $Otvet = $Otvet6; $Balls = $Balls6; }
     if ($RndPrimerType == 7) { $Primer = $Primer7; $Otvet = $Otvet7; $Balls = $Balls7; }
     if ($RndPrimerType == 8) { $Primer = $Primer8; $Otvet = $Otvet8; $Balls = $Balls8; }
     if ($RndPrimerType == 9) { $Primer = $Primer9; $Otvet = $Otvet9; $Balls = $Balls9; }
  
  $P = mysql_fetch_array(mysql_query("select * from `Vgame_primer` WHERE `id` = '1'"));
  
  if (isset($_GET['Delete']) && $user['level']>3) {
  
      mysql_query("DELETE FROM `Vgame_arif_otvet` WHERE `id` = '".abs(intval($_GET['Delete']))."' LIMIT 1");
    
      loc('/Games.V/arif.php');
	  exit;
  
  }
  
  if ($P['time_game']<time()) {
  
     mysql_query("UPDATE `Vgame_primer` SET `primer` = '".$Primer."', `otvet` = '".$Otvet."', `time_game` = '".(time()+$OnlinePrimer)."', `balls` = '".$Balls."' WHERE `id` = '1' LIMIT 1");
	
	 loc('/Games.V/arif.php');
	 exit;
  
  }
  
  if (isset($_POST['submit']) && strlen(trim($_POST['msg']))>2) {
  
    $MSG = mysql_real_escape_string(trim($_POST['msg']));
	
	if ($MSG[0]=='r' || $MSG[0]=='R') {
	
	  $Otv = trim($MSG); $Otv = str_replace('r', '', $MSG); $Otv = str_replace('R', '', $Otv); $Otv = str_replace(':', '', $Otv); $Otv = str_replace(' ', '', $Otv);
	  
	  if ($Otv==$P['otvet']) {
	  
	    $Mess = '<b>'.$user['nick'].'</b>, поздравляю! Вы ответили правильно на пример <b>'.$P['primer'].'</b><br/>Ответ был <b>'.$Otv.'</b>, Вам начислено <b>'.$P['balls'].' очков.</b>';
	    mysql_query("INSERT INTO `Vgame_arif_otvet` (`name`, `kto_id`, `otvet`, `time`) VALUES ('Арифметика', '".$user['id']."', '".$Mess."', '".time()."');");
		mysql_query("UPDATE `user` SET `Vgame_arif_balls` = `Vgame_arif_balls` + '".$P['balls']."' WHERE `id` = '".$user['id']."' LIMIT 1");
		
		mysql_query("UPDATE `Vgame_primer` SET `primer` = '".$Primer."', `otvet` = '".$Otvet."', `time_game` = '".(time()+$OnlinePrimer)."', `balls` = '".$Balls."' WHERE `id` = '1' LIMIT 1");
		
		loc('/Games.V/arif.php');
	  
	  }else{
	  
	    $Mess = '<b>'.$user['nick'].'</b>: '.$Otv.'<br/><font color="red">Ответ не верный!</font>';
	    mysql_query("INSERT INTO `Vgame_arif_otvet` (`name`, `kto_id`, `otvet`, `time`) VALUES ('Арифметика', '".$user['id']."', '".$Mess."', '".time()."');");
	    loc('/Games.V/arif.php');
	  
	  }
	
	}
	
	/* ----------------------------------- */
	
	if ($MSG[0]=='t' || $MSG[0]=='T') {
	
	  $Otv = trim($MSG); $Otv = str_replace('t', '', $MSG); $Otv = str_replace('T', '', $Otv); $Otv = str_replace(':', '', $Otv);
	  
	    $Mess = mysql_real_escape_string($Otv);
	    mysql_query("INSERT INTO `Vgame_arif_otvet` (`name`, `kto_id`, `otvet`, `time`) VALUES ('".$user['nick']."', '".$user['id']."', '".$Mess."', '".time()."');");
	    loc('/Games.V/arif.php');
	
	}
  
  }

  mysql_query("UPDATE `user` SET `Vgame_arif_last` = '".(time()+$OnlineUser)."' WHERE `id` = '".$user['id']."' LIMIT 1");

  echo $div_name;
  echo $Inform.' <a href="/Games.V/">Арифметика</a> '.$Raquo.' <a href="/Games.V/arif.php">Играть</a><br/>';
  echo '</div>';
  
  echo $div_link;
  echo $Link.' Задание: '.$P['primer'].' = <b>?</b><br/>';
  echo $Link.' За правильный ответ Вы получите <b>'.$P['balls'].'</b> очков.<br/>';
  echo $Link.' <font color="green">До смены примера: '.($P['time_game']-time()).' сек.</font><br/>';
  echo '</div>';
  
  echo $div_name;
  echo '<font color="red">*</font> Чтобы ответить на пример - необходимо написать в чат<br/><b>r: ваш ответ</b><br/>';
  echo '<font color="red">*</font> Чтобы написать сообщение - необходимо написать в чат<br/><b>t: ваше сообщение</b><br/>';
  echo '</div>';
  
  echo $div_link;
  echo '<form method="post">
       Сообщение<br/>
	   <textarea name="msg" cols="25" rows="3"></textarea><br/>
       <input type="submit" name="submit" value="Написать"/></form>';
  echo '</div>';
  
      $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `Vgame_arif_otvet`"),0);
      $k_page = k_page($k_post,$GameStr);
      $page = page($k_page);
      $start = $GameStr * $page - $GameStr;
      $res = mysql_query("select * from `Vgame_arif_otvet` order by time desc LIMIT $start, $GameStr");
	  
	  if ($k_post=='0') echo $div_link.'Нет сообщений...<br/></div>';
	   else
	  
	  {
	  
	    while ($post = mysql_fetch_array($res))
	  
	    {
	  
		  $i++;
	
          if ($i%2){ echo $div_zebr1; }
	        else
		  { echo $div_zebr2; }
		  
		  if ($post['name']=='Арифметика') {
		  
		    echo $post['name'].' ['.vremja($post['time']).']<br/>';
			echo $post['otvet'].'<br/>';
		  
		  }else{
		  
		    echo '<a href="/info.php?id='.$post['kto_id'].'">'.$post['name'].'</a> '.online($post['kto_id']).' ['.vremja($post['time']).']<br/>';
			echo text_out($post['otvet']).'<br/>';
		  
		  }
		  
		  if ($user['level']>3) echo '<a href="/Games.V/arif.php?Delete='.$post['id'].'">Удалить</a><br/>';
		  
		  echo '</div>';
	  
	    }
	  
	  if ($k_page>1)str('?',$k_page,$page);
	  
	  }

  
# ===================================================================

include_once '../sys/inc/tfoot.php';
?>